• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
erreur fusioninventory agent task esx
#1
Bonjour
j'ai un soucis pour mes collectes esx que j'essaye de mettre en place
Version glpi 9.51 (installé sur un debian buster)
version fusion 9.50+1.0
version agent 2.5.2-1 (installé sur un debian buster)
Mon Glpi est Cassiffié

Je récupère bien les fichiers *ocs si je lance un fusioninventory-esx
par contre si j'essaye d'executer la tache avec fusioninventory-agent

fusioninventory-agent --debug --debug -s https://glpi.unimes.fr/plugins/fusioninventory/ --no-task=Inventory j'ai ce retour
[debug2] https://glpi.unimes.fr/plugins/fusioninv...35-38&task[ESX]=2.5
[debug2] https://glpi.unimes.fr/ajax/marketplace....7-08-35-38
[error] [http client] communication error: 302 Found


du coté des logs apache GLPI, j'ai ceci

172.16.15.5 - - [24/Sep/2020:11:14:43 +0200] "GET /plugins/fusioninventory/?action=getConfig&machineid=promethe-2020-09-17-08-35-38&task[ESX]=2.5 HTTP/1.1" 200 3795 "-" "FusionInventory-Agent_v2.5.2-1"
172.16.15.5 - - [24/Sep/2020:11:14:43 +0200] "GET /ajax/marketplace.php/plugins/fusioninventory/b/esx/?action=getJobs&machineid=promethe-2020-09-17-08-35-38 HTTP/1.1" 302 520 "-" "FusionInventory-Agent_v2.5.2-1"
172.16.15.5 - - [24/Sep/2020:11:14:43 +0200] "GET /index.php?redirect=%2Fajax%2Fmarketplace.php%2Fplugins%2Ffusioninventory%2Fb%2Fesx%2F%3Faction%3DgetJobs%26machineid%3Dpromethe-2020-09-17-08-35-38&error=3 HTTP/1.1" 302 496 "-" "FusionInventory-Agent_v2.5.2-1"
172.16.15.5 - - [24/Sep/2020:11:14:43 +0200] "GET /front/login.php?redirect=/ajax/marketplace.php/plugins/fusioninventory/b/esx/?action=getJobs&machineid=promethe-2020-09-17-08-35-38 HTTP/1.1" 302 382 "-" "FusionInventory-Agent_v2.5.2-1"
172.16.15.5 - - [24/Sep/2020:11:14:43 +0200] "GET /plugins/fusioninventory/?action=getConfig&machineid=promethe-2020-09-17-08-35-38&task[Collect]=2.6 HTTP/1.1" 200 3623 "-" "FusionInventory-Agent_v2.5.2-1"
172.16.15.5 - - [24/Sep/2020:11:14:52 +0200] "POST /plugins/fusioninventory/ HTTP/1.1" 200 3683 "-" "FusionInventory-Agent_v2.5.2-1"
172.16.15.5 - - [24/Sep/2020:11:14:55 +0200] "POST /plugins/fusioninventory/ HTTP/1.1" 200 3641 "-" "FusionInventory-Agent_v2.5.2-1"
172.16.15.5 - - [24/Sep/2020:11:15:00 +0200] "GET /plugins/fusioninventory/?action=getConfig&machineid=promethe-2020-09-17-08-35-38&task[ESX]=2.5 HTTP/1.1" 200 3795 "-" "FusionInventory-Agent_v2.5.2-1"
172.16.15.5 - - [24/Sep/2020:11:15:01 +0200] "GET /ajax/marketplace.php/plugins/fusioninventory/b/esx/?action=getJobs&machineid=promethe-2020-09-17-08-35-38 HTTP/1.1" 302 520 "-" "FusionInventory-Agent_v2.5.2-1"
172.16.15.5 - - [24/Sep/2020:11:15:01 +0200] "GET /index.php?redirect=%2Fajax%2Fmarketplace.php%2Fplugins%2Ffusioninventory%2Fb%2Fesx%2F%3Faction%3DgetJobs%26machineid%3Dpromethe-2020-09-17-08-35-38&error=3 HTTP/1.1" 302 496 "-" "FusionInventory-Agent_v2.5.2-1"
172.16.15.5 - - [24/Sep/2020:11:15:01 +0200] "GET /front/login.php?redirect=/ajax/marketplace.php/plugins/fusioninventory/b/esx/?action=getJobs&machineid=promethe-2020-09-17-08-35-38 HTTP/1.1" 302 382 "-" "FusionInventory-Agent_v2.5.2-1"


Ce qui me fait penser a un problème avec mon authentification CAS c'est cette ligne de log
GET /front/login.php?redirect=

Quelqu'un aurait'il une idée ?

bernard
  Reply
#2
Avec une vrai installation du plugin ça fonctionne?

C'est à dire sans passer par le marketplace qui amène une insécurité et des problèmes de ce genre?
Co-leader, official developper
DCS official PARTNER: dcs.glpi@dcsit-group.com
  Reply
#3
Vérifie déjà s'il n'y a pas un problème avec l'URL définie au niveau de l'entité, dans l'onglet FusionInventory. Je ne vois pas pourquoi on a un "/ajax/marketplace.php" au début de l'URL sinon que le plugin lui dit de faire ça.
  Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)